<?php
session_start();

header("Cache-Control: no-cache, no-store, must-revalidate");
header("Pragma: no-cache");
header("Expires: 0");

// Check if the user is logged in
if (!isset($_SESSION['admin'])) {
    header('Location: adminlogin.php'); // Redirect to login if not authenticated
    exit();
}


// Fetch login tracking data (same as before)
$host = 'localhost'; // Update if necessary
$dbname = 'jdegkuou_webvisitortracking';
$user = 'jdegkuou_webtrackinguser';
$pass = 'NyIaQ!0.91P&';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $user, $pass);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    // Fetch all login attempts
    $stmt = $pdo->prepare("SELECT * FROM login_tracking");
    $stmt->execute();
    $logins = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
} catch (PDOException $e) {
    die("Could not connect to the database $dbname :" . $e->getMessage());
}
?>

<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <title>3MTT - WebTracker</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

  <!-- Favicons -->
  <link href="https://app.3mtt.training/static/media/main.242b8b1ce339b38fd589.png" rel="icon">
  <link href="assets/img/apple-touch-icon.png" rel="apple-touch-icon">

  <!-- Fonts -->
  <link href="https://fonts.googleapis.com" rel="preconnect">
  <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link href="assets/vendor/aos/aos.css" rel="stylesheet">
  <link href="assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
  <link href="assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

  <!-- Main CSS File -->
  <link href="assets/css/main.css" rel="stylesheet">

  <!-- =======================================================
  * Template Name: QuickStart
  * Template URL: https://bootstrapmade.com/quickstart-bootstrap-startup-website-template/
  * Updated: Aug 07 2024 with Bootstrap v5.3.3
  * Author: BootstrapMade.com
  * License: https://bootstrapmade.com/license/
  ======================================================== -->
</head>
<br>
<br>
<br>
<br>

<body class="index-page" >
<head>
    <header id="header" class="header d-flex align-items-center fixed-top">
        <div class="container-fluid container-xl position-relative d-flex align-items-center">
    
          <a href="index.html" class="logo d-flex align-items-center me-auto">
            <img src="https://app.3mtt.training/static/media/main.242b8b1ce339b38fd589.png" alt="">
            <h1 class="sitename">Web Tracker</h1>
          </a>
    
          <nav id="navmenu" class="navmenu">
            <ul>
              <li><a href="index.html#hero" class="active">Dashboard</a></li>
              <li><a href="index.html#about">Fellows</a></li>
              <li><a href="index.html#services">Validate Attendance</a></li>
              <li><a href="index.html#pricing">Jobs & Gigs Posting</a></li>

    
            </ul>
            <i class="mobile-nav-toggle d-xl-none bi bi-list"></i>
          </nav>
        
    
        </div>
      </header>
    
      <main class="main">
</head>
<body>
    <div class="container mt-5">
        <h1>Welcome to the Admin Dashboard</h1>
        <a href="adminlogout.php?logout=true" class="btn btn-danger">Logout</a>
        
        <h2>Login Attempts</h2>
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Username</th>
                    <th>IP Address</th>
                    <th>Browser Details</th>
                    <th>Operating System</th>
                    <th>Location</th>
                    <th>Successful</th>
                    <th>Login Count</th>
                    <th>Login Time</th>
                </tr>
            </thead>
            <tbody>
                <?php if (count($logins) > 0): ?>
                    <?php foreach ($logins as $login): ?>
                        <tr>
                            <td><?= htmlspecialchars($login['id']); ?></td>
                            <td><?= htmlspecialchars($login['username']); ?></td>
                            <td><?= htmlspecialchars($login['ip_address']); ?></td>
                            <td><?= htmlspecialchars($login['browser_details']); ?></td>
                            <td><?= htmlspecialchars($login['operating_system']); ?></td>
                            <td><?= htmlspecialchars($login['location']); ?></td>
                            <td><?= $login['successful'] ? 'Yes' : 'No'; ?></td>
                            <td><?= htmlspecialchars($login['login_count']); ?></td>
                            <td><?= htmlspecialchars($login['login_time']); ?></td>
                        </tr>
                    <?php endforeach; ?>
                <?php else: ?>
                    <tr>
                        <td colspan="9" class="text-center">No login attempts found.</td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </div>


</body>
</html>
