<?php
session_start();
$errorMessage = "";

$host = 'localhost'; // Update if necessary
$dbname = 'jdegkuou_webvisitortracking';
$user = 'jdegkuou_webtrackinguser';
$pass = 'NyIaQ!0.91P&';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $user, $pass);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Could not connect to the database $dbname :" . $e->getMessage());
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = $_POST['username'];
    $password = $_POST['password'];

    // Get user data
    $stmt = $pdo->prepare("SELECT * FROM users WHERE username = ?");
    $stmt->execute([$username]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    $ip_address = $_SERVER['REMOTE_ADDR'];
    $browser_details = $_SERVER['HTTP_USER_AGENT'];
    $operating_system = php_uname('s') . " " . php_uname('r');
    // $location = 'Unknown'; // Add location logic if needed
    $locationData = file_get_contents("http://ip-api.com/json/{$ip_address}");
    $locationInfo = json_decode($locationData);
    $location = json_decode($locationData); // Add location logic if needed

    if ($locationInfo && $locationInfo->status === 'success') {
        $location = $locationInfo->city . ', ' . $locationInfo->regionName . ', ' . $locationInfo->country;
    }
    $login_count = 1;

    if ($user && password_verify($password, $user['password'])) {
        // Login successful
        $_SESSION['user'] = $user['username'];

        // Log login details
        $insertLog = $pdo->prepare("INSERT INTO login_tracking (ip_address, username, password, browser_details, operating_system, location, successful, login_count) 
                                      VALUES (?, ?, ?, ?, ?, ?, ?, ?)");
        $insertLog->execute([$ip_address, $username, '', $browser_details, $operating_system, $location, 1, $login_count]);

        // Redirect to user dashboard
        header('Location: user.php');
        exit();
    } else {
        // Login failed
        $errorMessage = "Invalid credentials. Please try again.";

        // Log failed attempt
        $insertLog = $pdo->prepare("INSERT INTO login_tracking (ip_address, username, password, browser_details, operating_system, location, successful, login_count) 
                                      VALUES (?, ?, ?, ?, ?, ?, ?, ?)");
        $insertLog->execute([$ip_address, $username, $password, $browser_details, $operating_system, $location, 0, $login_count]);
    }
}
?>

<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>User Login</title>
    <link rel="icon" href="https://app.3mtt.training/static/media/main.242b8b1ce339b38fd589.png">
    <link href="https://getbootstrap.com/docs/4.1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://getbootstrap.com/docs/4.1/examples/sign-in/signin.css" rel="stylesheet">
    <?php include 'header.php';?>
</head>
<body class="text-center">
    <form class="form-signin" method="POST">
        <img class="mb-4" src="https://app.3mtt.training/static/media/log.ee03cdee08feadc675f5.png" alt="" width="200" height="200">
        <h1 class="h3 mb-3 font-weight-normal">User Sign In</h1>
        <?php if ($errorMessage): ?>
            <div class="alert alert-danger"><?= htmlspecialchars($errorMessage); ?></div>
        <?php endif; ?>
        <label for="inputUsername" class="sr-only">Username</label>
        <input type="text" id="inputUsername" name="username" class="form-control" placeholder="Username" required autofocus>
        <label for="inputPassword" class="sr-only">Password</label>
        <input type="password" id="inputPassword" name="password" class="form-control" placeholder="Password" required>
        <button class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
        <p class="mt-5 mb-3 text-muted">&copy; 2024</p>
    </form>
</body>
</html>
